import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core/ES2015/type";
import { DependencyProperty } from "igniteui-react-core/ES2015/DependencyProperty";
/**
 * @hidden
 */
export declare class BollingerBandWidthIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected get_p5(): IndicatorCalculationStrategy;
    protected readonly p5: IndicatorCalculationStrategy;
    protected get_qi(): Type;
    protected readonly qi: Type;
    qr: number;
    static readonly qu: DependencyProperty;
    protected qb(): number;
    qq: number;
    static readonly qt: DependencyProperty;
    protected p9(): number;
}
